# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kellnr-index"
version = "5.11.0"
authors = ["kellnr.io"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Kellnr is a self-hosted registry for Rust crates with support for rustdocs and crates.io caching."
homepage = "https://kellnr.io/"
documentation = "https://kellnr.io/documentation"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/kellnr/kellnr"

[lib]
name = "kellnr_index"
path = "src/lib.rs"

[dependencies.axum]
version = "0.8.7"
features = [
    "macros",
    "http2",
]

[dependencies.chrono]
version = "0.4.41"

[dependencies.flume]
version = "0.12.0"

[dependencies.http-body-util]
version = "0.1.3"

[dependencies.hyper]
version = "1.8.1"

[dependencies.kellnr-appstate]
version = "5.11.0"

[dependencies.kellnr-common]
version = "5.11.0"

[dependencies.kellnr-db]
version = "5.11.0"

[dependencies.kellnr-settings]
version = "5.11.0"

[dependencies.kellnr-storage]
version = "5.11.0"

[dependencies.mockall]
version = "0.14.0"

[dependencies.moka]
version = "0.12.12"
features = ["future"]

[dependencies.reqwest]
version = "0.13.1"
features = [
    "json",
    "blocking",
    "gzip",
    "http2",
    "deflate",
]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.tokio]
version = "1.48.0"
features = ["macros"]

[dependencies.tracing]
version = "0.1.43"

[dev-dependencies.tokio]
version = "1.48.0"
features = ["macros"]

[dev-dependencies.tower]
version = "0.5.2"
features = ["util"]

[lints.clippy]
cast_lossless = "allow"
cast_possible_truncation = "allow"
cast_possible_wrap = "allow"
cast_sign_loss = "allow"
if_not_else = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
must_use_candidate = "allow"
too_many_lines = "allow"
used_underscore_binding = "allow"

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
unsafe_code = "forbid"
unused_qualifications = "warn"
